function setup()
	A = generator.getMobGroup("A")
	B = generator.getMobGroup("B")
	b = generator.getMobGroup("B")
	C = generator.getMobGroup("C")
	Z = generator.getMobGroup("Z")
	
	room.setWave(1)
	room.addActor(A)
	room.addActor(Z)
	
	room.setWave(2)
	room.addActor(B)
	room.addActor(B)
	room.addActor(b)
	room.addActor(Z)
end